$(function () {
	$('body').addClass('loading');
});
$(window).load(function () {
	$('body').removeClass('loading');
	//カルーセル
	var slickload1 = $('.slider').slick({
		accessibility: false,
		infinite: false,
		speed: 300,
		responsive: [{
			breakpoint: 4096,
			settings: "unslick"
		}, {
			breakpoint: 1009,
			settings: {
				slidesToShow: 2,
				slidesToScroll: 2
			}
		}, {
			breakpoint: 517,
			settings: {
				slidesToShow: 1,
				slidesToScroll: 1
			}
		}]
	})
	//要素の高さを揃える
	function objectMeasure() {
		var elements = [];
		var elementsMaxHeight;
		$('.height-adjust').each(function () {
			$(this).children('li').each(function (elementsHeight) {
				elements[elementsHeight] = $(this).height();
				elementsMaxHeight = Math.max.apply(null, elements);
			});
			$(this).children('li').css('height', elementsMaxHeight);
		});
	}
	//もっと見る機能
	function listHide() {
		var slickInitialized = $('.slider').hasClass('slick-initialized');
		$('.openable-button-02').remove();
		if (slickInitialized != true) {
			$('.slider').each(function () {
				if ($(this).children('li').length >= 5) {
					$(this).children('li').slice(4).addClass('openable-content-02');
					$(this).after('<p class="openable-button-02 button-01"><button type="button">もっと見る</button></p>');
				}
				//toggle開閉1
				$(this).next('.openable-button-02').addClass('closed');
				$(this).next('.openable-button-02').on('click', function () {
					$(this).toggleClass('closed');
					$(this).prev().children('.openable-content-02').slideToggle(200);
					var status = $(this).hasClass('closed');
					var txt = $(this).html();
					if (status == true) {
						$(this).html(txt.replace(/閉じる/g, 'もっと見る'));
					} else {
						$(this).html(txt.replace(/もっと見る/g, '閉じる'));
					}
				});
			});
		}
	}
	//toggle開閉2
	$('.openable-button-01').addClass('open');
	$('.openable-button-01').on('click', function () {
		$(this).toggleClass('open');
		$(this).next('.openable-content-01').slideToggle(200);
	});
	objectMeasure();
	listHide();
	//リサイズ処理
	var timer = false;
	$(window).resize(function () {
		if (timer !== false) {
			clearTimeout(timer);
		}
		timer = setTimeout(function () {
			$('.height-adjust .contents-list-inner').css('height', '');
			$('.slider li').removeClass('openable-content-02');
			$('.slider li').css('display', '');
			$('.slider').slick('unslick');
			slickload1.slick('reinit');
			objectMeasure();
			listHide();
		}, 200);
	});
	//YouTube再生モーダル
	$('a[href*="youtube.com/watch"]').magnificPopup({
		type: 'iframe',
		closeMarkup: '<button title="%title%" type="button" class="mfp-close"></button>',
		iframe: {
			patterns: {
				youtube: {
					index: 'youtube.com',
					id: 'v=',
					src: '//www.youtube.com/embed/%id%?rel=0&modestbranding=0&showinfo=0&fs=0&controls=1&autohide=0&vq=hd720&autoplay=1'
				}
			}
		}
	});
});